- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
efl::eo::detail::operations< ::ecore_audio_in >::type< T > Struct Template Reference

## Public Member Functions
virtual void | vio_set (Ecore_Audio_Vio *vio_, void *data_, eo_key_data_free_func free_func_)
virtual bool | preloaded_get ()
virtual void | preloaded_set (bool preloaded_)
virtual void | length_set (double length_)
virtual double | speed_get ()
virtual void | speed_set (double speed_)
virtual int | samplerate_get ()
virtual void | samplerate_set (int samplerate_)
virtual int | channels_get ()
virtual void | channels_set (int channels_)
virtual bool | looped_get ()
virtual void | looped_set (bool looped_)
virtual double | length_get ()
virtual efl::eo::base | output_get ()
virtual double | remaining_get ()
virtual ssize_t | read (void *buf_, size_t len_)
virtual ssize_t | read_internal (void *buf_, size_t len_)